Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.novadeck.jxla.data
Class GeneralLogData

    java.lang.Object
      org.novadeck.jxla.data.GeneralLogData

All Implemented Interfaces:
  Serializable

    public class GeneralLogData

extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`protected HashMap` | `_files`
`protected HashMap` | `_hits`
`protected HashMap` | `_keywords`
`protected HashMap` | `_pagesView`
`protected HashMap` | `_referers`
`protected HashMap` | `_remote_ip`
`protected HashMap` | `_status`
`protected long` | `_traffic`
`protected HashMap` | `_userAgents`
`protected HashMap` | `_users`

Constructor Summary
`GeneralLogData()`

Method Summary
`void` | `addFile(String s)`
`void` | `addHit(String s)`
`void` | `addKeywords(String s)`
`void` | `addPageView(String s)`
`void` | `addReferer(String s)`
`void` | `addRemoteIP(String s)`
`void` | `addStatus(String s)`
`void` | `addTraffic(long l)`
`void` | `addUser(String s)`
`void` | `addUserAgent(String s)`
`protected long` | `getCount(HashMap map)`
`long` | `getFiles()`
`long` | `getHits()`
`long` | `getPages()`
`long` | `getTraffic()`
`protected void` | `inc(String key, HashMap map)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _referers

    protected HashMap _referers

### _keywords

    protected HashMap _keywords

### _remote_ip

    protected HashMap _remote_ip

### _hits

    protected HashMap _hits

### _pagesView

    protected HashMap _pagesView

### _files

    protected HashMap _files

### _status

    protected HashMap _status

### _userAgents

    protected HashMap _userAgents

### _users

    protected HashMap _users

### _traffic

    protected long _traffic

Constructor Detail

### GeneralLogData

    public GeneralLogData()

Method Detail

### addReferer

    public void addReferer(String s)

### addKeywords

    public void addKeywords(String s)

### addRemoteIP

    public void addRemoteIP(String s)

### addStatus

    public void addStatus(String s)

### addUserAgent

    public void addUserAgent(String s)

### addUser

    public void addUser(String s)

### addHit

    public void addHit(String s)

### addFile

    public void addFile(String s)

### addPageView

    public void addPageView(String s)

### inc

    protected void inc(String key,
                       HashMap map)

### getCount

    protected long getCount(HashMap map)

### getTraffic

    public long getTraffic()

### addTraffic

    public void addTraffic(long l)

### getPages

    public long getPages()

### getFiles

    public long getFiles()

### getHits

    public long getHits()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.